=== debian/control ===
Source: kpipewire
Section: libs
Priority: optional
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.94~),
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libdrm-dev (>= 2.4.62~),
               libegl1-mesa-dev,
               libepoxy-dev (>= 1.3~),
               libgbm-dev,
               libkf5coreaddons-dev (>= 5.37.0~),
               libkf5i18n-dev (>= 5.37.0~),
               libkf5wayland-dev (>= 5.37.0~),
               libpipewire-0.3-dev,
               libqt5waylandclient5-dev,
               libswscale-dev,
               libwayland-dev,
               pkg-kde-tools,
               plasma-wayland-protocols,
               qtbase5-dev,
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qtwayland5-dev-tools
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/plasma/kpipewire
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kpipewire.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kpipewire
Maintainer: Neon CI <neon@kde.org>

Package: libkpipewire-dev
Section: libdevel
Architecture: any
Depends: libkpipewire5 (= ${binary:Version}),
         libkpipewirerecord5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Description: KDE's Pipewire library
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the library development files.

Package: libkpipewire5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE's Pipewire library
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the kpipewire main library.

Package: libkpipewirerecord5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkpipewire5 (<< 5.26.0)
Replaces: libkpipewire5 (<< 5.26.0)
Description: KDE's Pipewire library
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the kpipewirerecord library.

Package: qml-module-org-kde-pipewire
Architecture: any
Depends: libkpipewire5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE's Pipewire library
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the QtQuick module.
