## kpipewire 5.27.7

=== debian/changelog ===
kpipewire (5.27.7-0ubuntu3) mantic; urgency=medium

  * Rebuild against new ffmpeg again.

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Aug 2023 23:35:28 +0100

kpipewire (5.27.7-0ubuntu2) mantic; urgency=medium

  * Rebuild to migrate 5.27.7 stack.

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Aug 2023 21:42:26 +0100

kpipewire (5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:14:25 +0100

kpipewire (5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:35:54 +0100

kpipewire (5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:14:06 +0100

kpipewire (5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:37:41 +0100

kpipewire (5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:18:08 +0000

kpipewire (5.27.2-0ubuntu2) lunar; urgency=medium

  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 17:30:49 +0000

kpipewire (5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:22:55 +0000

kpipewire (5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:46:38 +0000

kpipewire (5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:40:40 +0000
