=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: kpipewire
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Patrick Franz <deltaone@debian.org>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 5.102.0~),
+               extra-cmake-modules (>= 5.98.0~),
                gettext,
                libavcodec-dev,
                libavformat-dev,
                libavutil-dev,
                libdrm-dev (>= 2.4.62~),
                libegl-dev,
-               libegl1-mesa-dev,
                libepoxy-dev (>= 1.3~),
                libgbm-dev,
                libkf5coreaddons-dev (>= 5.98.0~),
@@ -34,8 +33,8 @@
                qtwayland5-dev-tools,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/kpipewire
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpipewire
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpipewire.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
 Rules-Requires-Root: no
 
 Package: libkpipewire-dev
@@ -53,7 +52,7 @@
 
 Package: libkpipewire5
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: KDE's Pipewire libraries - libkpipewire5 library
  Components for rendering and recording PipeWire streams using Qt.
  .
@@ -61,7 +60,7 @@
 
 Package: libkpipewiredmabuf5
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: KDE's Pipewire libraries - libkpipewiredmabuf5
  Components for rendering and recording PipeWire streams using Qt.
  .
@@ -69,7 +68,7 @@
 
 Package: libkpipewirerecord5
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: KDE's Pipewire libraries - libkpipewirerecord5
  Components for rendering and recording PipeWire streams using Qt.
  .
@@ -77,7 +76,8 @@
 
 Package: qml-module-org-kde-pipewire
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: KDE's Pipewire libraries - QML module
  Components for rendering and recording PipeWire streams using Qt.
  .
