=== debian/changelog ===
kpipewire (5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 20:48:20 +0200

kpipewire (5.27.7-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Add the libpipewire-0.3-dev dependency in libkpipewire-dev, as the kpipewire
    headers include pipewire headers.

  [ Patrick Franz ]
  * New upstream release (5.27.7).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:52:16 +0200
