=== debian/control ===
--- 
+++ 
@@ -3,18 +3,20 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 5.98.0~),
+               extra-cmake-modules (>= 5.102.0~),
                gettext,
                libavcodec-dev,
                libavformat-dev,
                libavutil-dev,
                libdrm-dev (>= 2.4.62~),
                libegl-dev,
+               libegl1-mesa-dev,
                libepoxy-dev (>= 1.3~),
                libgbm-dev,
                libkf5coreaddons-dev (>= 5.98.0~),
@@ -43,6 +45,7 @@
 Depends: libkpipewire5 (= ${binary:Version}),
          libkpipewiredmabuf5 (= ${binary:Version}),
          libkpipewirerecord5 (= ${binary:Version}),
+         libpipewire-0.3-dev,
          qtbase5-dev,
          ${misc:Depends},
 Description: KDE's Pipewire libraries - development files
@@ -52,7 +55,7 @@
 
 Package: libkpipewire5
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: KDE's Pipewire libraries - libkpipewire5 library
  Components for rendering and recording PipeWire streams using Qt.
  .
@@ -60,7 +63,7 @@
 
 Package: libkpipewiredmabuf5
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: KDE's Pipewire libraries - libkpipewiredmabuf5
  Components for rendering and recording PipeWire streams using Qt.
  .
@@ -68,7 +71,7 @@
 
 Package: libkpipewirerecord5
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: KDE's Pipewire libraries - libkpipewirerecord5
  Components for rendering and recording PipeWire streams using Qt.
  .
