=== debian/control ===
--- 
+++ 
@@ -26,8 +26,8 @@
                libqt5waylandclient5-dev,
                libswscale-dev,
                libwayland-dev,
-               pkg-config,
                pkg-kde-tools,
+               pkgconf,
                plasma-wayland-protocols (>= 1.9.0~),
                qtbase5-dev,
                qtbase5-private-dev,
