## kpipewire 6.1.5

=== debian/changelog ===
kpipewire (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:58:46 +0100

kpipewire (6.1.4-0ubuntu2) oracular; urgency=medium

  * Update symbols from Ubuntu build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 23:28:27 +0100

kpipewire (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:41:51 +0100

kpipewire (6.1.3-1ubuntu1) UNRELEASED; urgency=medium

  * Mark several symbols as optional to fix FTBFS on Ubuntu buildds.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Jul 2024 11:03:20 +0100

kpipewire (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:10 +0200

kpipewire (6.1.0-2) experimental; urgency=medium

  * Team upload.
  * Update the symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Jun 2024 06:57:59 +0200

kpipewire (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 20 Jun 2024 12:37:54 +0200

kpipewire (5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:20:52 +0200
