=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: kpipewire
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.2.0~),
+               dh-sequence-qmldeps,
+               extra-cmake-modules (>= 6.5.0~),
                gettext,
                libavcodec-dev,
                libavfilter-dev,
@@ -37,8 +37,8 @@
                qt6-wayland-dev (>= 6.6.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kpipewire
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpipewire
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpipewire.git
 Rules-Requires-Root: no
 
 Package: libkpipewire-data
@@ -58,6 +58,7 @@
          libkpipewiredmabuf6 (= ${binary:Version}),
          libkpipewirerecord6 (= ${binary:Version}),
          libpipewire-0.3-dev,
+         qml6-module-org-kde-pipewire (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0+dfsg~),
          ${misc:Depends},
 Description: KDE's Pipewire libraries - development files
@@ -101,7 +102,7 @@
 Package: qml6-module-org-kde-pipewire
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: KDE's Pipewire libraries - QML module
  Components for rendering and recording PipeWire streams using Qt.
  .
